/** 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 *  
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA 
 * 
 * @version 2.0
 * dischoco
 * Gui.java
 */ 
package gui;

/**
 * 
 * 
 * @authors 
 * <a href="mailto:ezzahir@ensa-agadir.ac.ma?subject=DisChoco &cc=wahbi@lirmm.fr &cc=bessiere@lirmm.fr">
 * Redoaune Ezzahir</a> and 
 * <a href="mailto:wahbi@lirmm.fr?subject=DisChoco &cc=ezzahir@ensa-agadir.ac.ma &cc=bessiere@lirmm.fr">
 * Mohamed Wahbi</a>
 * 
 */

public final class Gui {
	
	public static final String NB_AGENTS = "nbAgents";  
	public static final String NumberOfInstances = "Number of instances";  
	public static final String NumberOfMeetings = "Number of meetings";  
	public static final String DurationOfMeetings = "Duration of meetings";  
	public static final String NumberOfAgents = "Number of agents";  
	public static final String NumberOfMeetingsPerAgent = "Number of meetings per agent";  
	public static final String DisponibilityOfAgents = "Disponibility of agents";  
	public static final String MINIMUM = "Minimum";  
	public static final String MAXIMUM = "Maximum";  
	public static final String STEP = "Step";  
	public static final String NumberOfHours = "Number of Hours";  
	public static final String NumberOfDays = "Number of Days";  
	public static final String NumberOfXAxis = "Number of x-axis";  
	public static final String NumberOfYAxis = "Number of y-axis";  
	public static final String GridSize = "GridSize";  
	
	public static final String NB_SENSORS = "nbSensors";  
	public static final String NB_TARGETS = "nbTargets";
	public static final String Sensor = "Sensor";
	public static final String Sensors = "Sensors";
	public static final String Target = "Target"; 
	public static final String Targets = "Targets";  
	public static final String P_V = "Pv";
	public static final String P_C = "Pc";
	public static final String MIN_PV = "MinPv";
	public static final String MAX_PV = "MaxPv";
	public static final String STEP_PV = "StepPv";
	public static final String KC = "Kc";
	public static final String minKC = "minKc";
	public static final String maxKC = "maxKc";
	public static final String stepKC = "stepKc";
	public static final String KV = "Kv";
	public static final String minKV = "minKv";
	public static final String maxKV = "maxKv";
	public static final String stepKV = "stepKv";
	public static final String X_axis = "x_axis";
	public static final String Y_axis = "y_axis";
	public static final String MinGridSize = "MinGridSize";
	public static final String MaxGridSize = "MaxGridSize";
	public static final String StepGridSize = "StepGridSize";
	
	public static final String GRID = "Grid"; // grid
	public static final String REAL = "Real"; // real 
	public static final String GuiPresentation = "GuiPresentation";
	public static final String NB_MEETINGS = "nbMeetings";
	public static final String MEETINGS = "meetings";
	public static final String MEETING = "meeting";
	public static final String MEETINGS_DURATION = "meetingsDuration"; 
	public static final String NB_MEETINGS_PER_AGENT = "nbMeetingsPerAgent";
	public static final String NB_DAYS = "nbDays";
	public static final String NB_HOURS = "nbHours";
	public static final String DISPONIBILITY = "disponibility";
	public static final String DIRECTORY = "directory";
	public static final String SUBDIRECTORY = "subDirectory";

	public static final String MIN_MEETING_PER_AGENTS = "minMeetingPerAgents";
	public static final String MAX_MEETING_PER_AGENTS = "maxMeetingPerAgents";
	public static final String STEP_MEETING_PER_AGENTS = "stepMeetingPerAgents";

	public static final String MIN_GRID_SIZE = "minGridSize";
	public static final String MAX_GRID_SIZE = "maxGridSize";
	public static final String STEP_GRID_SIZE = "stepGridSize";
}
