package gui.generators;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.io.File;

import javax.swing.JPanel;

public abstract class Generator extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4683002151906347965L;

	public Generator() {
		super();
		this.initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	public void initialize() {
		this.setLayout(new FlowLayout());
		this.setPreferredSize(new Dimension(800, 500));
		this.setMinimumSize(new Dimension(800, 500));
	}

	// protected abstract JPanel getPrincipalPanel();

	protected abstract void generate(File file);

}
